package com.fjhx.service.purchase;

import com.fjhx.entity.purchase.Purchase;

/**
 * <p>
 * 采购：流程 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-12-01
 */
public interface PurchaseFlowService {

    /**
     * 发起
     *
     * @param entity
     * @return
     */
    void start(Purchase entity);

    /**
     * 审批
     *
     * @param entity
     * @return
     */
    void examine(Purchase entity);

    /**
     * 详情
     *
     * @param entity
     * @return
     */
    Purchase details(Purchase entity);
}
